# Uses of Interface
org.springframework.web.accept.ContentNegotiationStrategy

Packages that use ContentNegotiationStrategy
Package
Description
org.springframework.web.accept
This package contains classes used to determine the requested the media types in a request.

## Uses of ContentNegotiationStrategy in org.springframework.web.accept

Classes in org.springframework.web.accept that implement ContentNegotiationStrategy
Modifier and Type
Class
Description
`class`
`AbstractMappingContentNegotiationStrategy`
Base class for `ContentNegotiationStrategy` implementations with the steps to resolve a request to media types.
`class`
`ContentNegotiationManager`
Central class to determine requested media types for a request.
`class`
`FixedContentNegotiationStrategy`
A `ContentNegotiationStrategy` that returns a fixed content type.
`class`
`HeaderContentNegotiationStrategy`
A `ContentNegotiationStrategy` that checks the 'Accept' request header.
`class`
`ParameterContentNegotiationStrategy`
Strategy that resolves the requested content type from a query parameter.
`class`
`PathExtensionContentNegotiationStrategy`
Deprecated.
as of 5.2.4.
`class`
`ServletPathExtensionContentNegotiationStrategy`
Deprecated.
as of 5.2.4.
Methods in org.springframework.web.accept with type parameters of type ContentNegotiationStrategy
Modifier and Type
Method
Description
`<T extends ContentNegotiationStrategy>
T`
ContentNegotiationManager.`getStrategy(Class<T> strategyType)`
Find a `ContentNegotiationStrategy` of the given type.
Methods in org.springframework.web.accept that return types with arguments of type ContentNegotiationStrategy
Modifier and Type
Method
Description
`List<ContentNegotiationStrategy>`
ContentNegotiationManager.`getStrategies()`
Return the configured content negotiation strategies.
Methods in org.springframework.web.accept with parameters of type ContentNegotiationStrategy
Modifier and Type
Method
Description
`void`
ContentNegotiationManagerFactoryBean.`setDefaultContentTypeStrategy(ContentNegotiationStrategy strategy)`
Set a custom `ContentNegotiationStrategy` to use to determine the content type to use when no content type is requested.
Method parameters in org.springframework.web.accept with type arguments of type ContentNegotiationStrategy
Modifier and Type
Method
Description
`void`
ContentNegotiationManagerFactoryBean.`setStrategies(List<ContentNegotiationStrategy> strategies)`
Set the exact list of strategies to use.
Constructors in org.springframework.web.accept with parameters of type ContentNegotiationStrategy
Modifier
Constructor
Description
``
`ContentNegotiationManager(ContentNegotiationStrategy... strategies)`
Create an instance with the given list of `ContentNegotiationStrategy` strategies each of which may also be an instance of `MediaTypeFileExtensionResolver`.
Constructor parameters in org.springframework.web.accept with type arguments of type ContentNegotiationStrategy
Modifier
Constructor
Description
``
`ContentNegotiationManager(Collection<ContentNegotiationStrategy> strategies)`
A collection-based alternative to `ContentNegotiationManager(ContentNegotiationStrategy...)`.